﻿package  {
	import flash.display.BitmapData;
	import starling.display.Sprite;
	import starling.display.Image;
	import starling.textures.Texture;
	import starling.events.Event;
	import starling.events.TouchEvent;
	import starling.events.Touch;
	import starling.events.TouchPhase;
	public class MySprite extends Sprite{
		private var instance:Image;
		public function MySprite() {
			addEventListener(Event.ADDED_TO_STAGE, initialize);
		}
		private function initialize(eventObject:Event):void {
			var myBitmapData:BitmapData = new Pen();
			var myTexture:Texture = Texture.fromBitmapData(myBitmapData);
			instance = new Image(myTexture);
			addChild(instance);
			instance.addEventListener(TouchEvent.TOUCH, mouseOperated);
			instance.x = stage.stageWidth / 2;
			instance.y = stage.stageHeight / 2;
			instance.pivotX = instance.width / 2;
			instance.pivotY = instance.height / 2;
		}
		private function mouseOperated(eventObject:TouchEvent):void {
			var myTouch:Touch = eventObject.getTouch(instance, TouchPhase.MOVED);
			if (myTouch) {
				var nMoveX:Number = myTouch.globalX - myTouch.previousGlobalX;
				var nMoveY:Number = myTouch.globalY - myTouch.previousGlobalY;
				instance.x += nMoveX;
				instance.y += nMoveY;
			}
		}
	}
}